Subject: Re: [PATCH iproute2 v2] route: label externally offloaded routes

From: Stephen Hemminger <[email-masked]>
Date: Tue, 24 Mar 2015 15:51:37 -0700

On Tue, 17 Mar 2015 15:15:57 -0400
Andy Gospodarek <[email-masked]> wrote:

> On Tue, Mar 17, 2015 at 02:49:21PM +0100, Jiri Pirko wrote:
> > Tue, Mar 17, 2015 at 02:24:56PM CET, [email-masked] wrote:
> > >On Mon, Mar 16, 2015 at 09:14:50PM -0700, Scott Feldman wrote:
> > >> On Mon, Mar 16, 2015 at 6:18 AM, Andy Gospodarek
> > >> <[email-masked]> wrote:
> > >> > On Sun, Mar 15, 2015 at 12:31:34PM -0700, [email-masked] wrote:
> > >> >> From: Scott Feldman <[email-masked]>
> > >> >>
> > >> >> v2:
> > >> >>
> > >> >> No clear outcome on polling for choices of "external", "offload", "hw", or
> > >> >> "hardware".  Andy's concern about "external" being confusing for users is
> > >> >> valid.  So, I'm making executive decision to use "external_offload" for label,
> > >> >> as suggested by Jiri.
> > >> >
> > >> > This seems like quite a mouthful.  Just make it 'offload' or 'hardware'
> > >> > so the output of 'ip route show' isn't so long that it will frequently
> > >> > be longer than 80 chars.  Being longer than 80 chars is going to be
> > >> > irritating for _many_ users.
> > >> 
> > >> Andy, since you have passion on this topic, would you mind taking it
> > >> from here to get consensus, and post an updated patch, if needed?
> > >
> > >Absolutely.  I felt bad responding with more complaints yesterday
> > >without proposing an alternative patch.
> > >
> > >I'll be happy to handle this -- it will elimininate at least one
> > >complainer!
> > >
> > >
> > >> I was about to suggest a new made-up work like "keroff" and someday
> > >> the new word is added to Websters .  Daddy, what's "keroff"?  Oh son,
> > >> that means "offloaded from kernel to external device".  Ya, actually,
> > >> that's my vote: keroff.
> > 
> > Hmm, on the second thought, shouldn't it be rather "extoff" ?
> > 
> 
> I'm really liking the sound of 'extoffk'  ;)
> 

I am bouncing this patch, come back when you decide on a name.